Crystal Space: csEventOutlet Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEventOutlet Class Reference

A class which implements the iEventOutlet interface. More...

`#include <csutil/evoutlet.h>`

Inheritance diagram for csEventOutlet:

[legend]
List of all members.

## Public Member Functions
virtual void | Broadcast (csEventID iName, intptr_t iInfo)
| Put a broadcast event into event queue.
virtual csPtr< iEvent > | CreateEvent ()
| Create a event object on behalf of the system driver.
| csEventOutlet (iEventPlug *, csEventQueue *, iObjectRegistry *)
| Initialize the outlet.
virtual void | ImmediateBroadcast (csEventID iName, intptr_t iInfo)
| Broadcast a event to all plugins.
virtual void | Joystick (uint iNumber, int iButton, bool iDown, const int32 *axes, uint numAxes)
| Put a joystick event into event queue.
virtual void | Key (utf32_char codeRaw, utf32_char codeCooked, bool iDown, bool autorep=false)
| Put a keyboard event into event queue.
virtual void | Mouse (uint iNumber, int iButton, bool iDown, const int32 *axes, uint numAxes)
| Put a mouse event into event queue (new interface).
virtual void | Mouse (int iButton, bool iDown, int x, int y)
| Put a mouse event into event queue (old interface).
virtual void | Post (iEvent *)
| Put a previously created event into system event queue.
virtual | ~csEventOutlet ()
| Destroy the outlet.

## Detailed Description

A class which implements the iEventOutlet interface.

Definition at line 40 of file evoutlet.h.

## Constructor & Destructor Documentation

csEventOutlet::csEventOutlet | ( | iEventPlug * | ,
|  | csEventQueue * | ,
|  | iObjectRegistry * |  |
| ) |  |  |

Initialize the outlet.

virtual csEventOutlet::~csEventOutlet | ( |  | ) | `[virtual]`

Destroy the outlet.

## Member Function Documentation

virtual void csEventOutlet::Broadcast | ( | csEventID | iName,
|  | intptr_t | iInfo |
| ) |  |  | `[virtual]`

Put a broadcast event into event queue.

Implements iEventOutlet.

virtual csPtr<iEvent> csEventOutlet::CreateEvent | ( |  | ) | `[virtual]`

Create a event object on behalf of the system driver.

Implements iEventOutlet.

virtual void csEventOutlet::ImmediateBroadcast | ( | csEventID | iName,
|  | intptr_t | iInfo |
| ) |  |  | `[virtual]`

Broadcast a event to all plugins.

Implements iEventOutlet.

virtual void csEventOutlet::Joystick | ( | uint | iNumber,
|  | int | iButton,
|  | bool | iDown,
|  | const int32 * | axes,
|  | uint | numAxes |
| ) |  |  | `[virtual]`

Put a joystick event into event queue.

Implements iEventOutlet.

virtual void csEventOutlet::Key | ( | utf32_char | codeRaw,
|  | utf32_char | codeCooked,
|  | bool | iDown,
|  | bool | autorep = `false` |
| ) |  |  | `[virtual]`

Put a keyboard event into event queue.

Implements iEventOutlet.

virtual void csEventOutlet::Mouse | ( | uint | iNumber,
|  | int | iButton,
|  | bool | iDown,
|  | const int32 * | axes,
|  | uint | numAxes |
| ) |  |  | `[virtual]`

Put a mouse event into event queue (new interface).

virtual void csEventOutlet::Mouse | ( | int | iButton,
|  | bool | iDown,
|  | int | x,
|  | int | y |
| ) |  |  | `[virtual]`

Put a mouse event into event queue (old interface).

Implements iEventOutlet.

virtual void csEventOutlet::Post | ( | iEvent * |  | ) | `[virtual]`

Put a previously created event into system event queue.

Implements iEventOutlet.

The documentation for this class was generated from the following file:

- csutil/evoutlet.h